summaryrefslogtreecommitdiff
path: root/stdio-common
diff options
context:
space:
mode:
authorDmitry V. Levin <ldv@altlinux.org>2012-09-24 20:52:13 +0000
committerDmitry V. Levin <ldv@altlinux.org>2012-09-25 02:48:31 +0000
commit57c69bef13298a3fbcedebf4c5fcecc690b75efb (patch)
tree9cc9d909afcb9e8b6c23697bdb48901e80d7addb /stdio-common
parent9a9028b1fe1519262fcbf0b7ede708d4ebbffbd7 (diff)
Set "fail on error" mode directly in testsuite shell scripts
Diffstat (limited to 'stdio-common')
-rw-r--r--stdio-common/Makefile10
-rw-r--r--stdio-common/tst-printf.sh5
-rwxr-xr-xstdio-common/tst-unbputc.sh5
3 files changed, 11 insertions, 9 deletions
diff --git a/stdio-common/Makefile b/stdio-common/Makefile
index 9811572431..0cdf6307ea 100644
--- a/stdio-common/Makefile
+++ b/stdio-common/Makefile
@@ -1,4 +1,4 @@
-# Copyright (C) 1991-2009, 2011, 2012 Free Software Foundation, Inc.
+# Copyright (C) 1991-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
# The GNU C Library is free software; you can redistribute it and/or
@@ -68,12 +68,12 @@ ifeq ($(cross-compiling),no)
tests: do-tst-unbputc do-tst-printf
do-tst-unbputc: $(objpfx)tst-unbputc.out
-$(objpfx)tst-unbputc.out: $(objpfx)tst-unbputc tst-unbputc.sh
- $(SHELL) -e tst-unbputc.sh $(common-objpfx) '$(run-program-prefix)'
+$(objpfx)tst-unbputc.out: tst-unbputc.sh $(objpfx)tst-unbputc
+ $(SHELL) $< $(common-objpfx) '$(run-program-prefix)'
do-tst-printf: $(objpfx)tst-printf.out
-$(objpfx)tst-printf.out: $(objpfx)tst-printf tst-printf.sh
- $(SHELL) -e tst-printf.sh $(common-objpfx) '$(run-program-prefix)'
+$(objpfx)tst-printf.out: tst-printf.sh $(objpfx)tst-printf
+ $(SHELL) $< $(common-objpfx) '$(run-program-prefix)'
endif
CFLAGS-vfprintf.c = -Wno-uninitialized
diff --git a/stdio-common/tst-printf.sh b/stdio-common/tst-printf.sh
index 43e42a8fdd..d39b55179b 100644
--- a/stdio-common/tst-printf.sh
+++ b/stdio-common/tst-printf.sh
@@ -1,8 +1,7 @@
#! /bin/sh
# Testing of printf.
-# Copyright (C) 2000, 2002, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2000-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
-#
# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
@@ -18,6 +17,8 @@
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.
+set -e
+
common_objpfx=$1; shift
run_program_prefix=$1; shift
diff --git a/stdio-common/tst-unbputc.sh b/stdio-common/tst-unbputc.sh
index fd650d4838..1f28d4d240 100755
--- a/stdio-common/tst-unbputc.sh
+++ b/stdio-common/tst-unbputc.sh
@@ -1,8 +1,7 @@
#! /bin/sh
# Testing the stdio implementation
-# Copyright (C) 2000 Free Software Foundation, Inc.
+# Copyright (C) 2000-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
-#
# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
@@ -18,6 +17,8 @@
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.
+set -e
+
common_objpfx=$1; shift
run_program_prefix=$1; shift